Bug 1731552 - RFE: Export and Import LDIF functionality in the UI
Summary: RFE: Export and Import LDIF functionality in the UI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 18:12 UTC by dminnich
Modified: 2021-01-27 14:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-27 14:50:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description dminnich 2019-07-19 18:12:12 UTC
Description of problem:

Support staff is in the UI and is about to change a group or user or some other complex object they don't understand.  They click a button and get an LDIF backup of the object.  They attach the "before" LDIF to the ticket.  They make the change.  They click a button and get an LDIF backup of the object.  They attach the "after" LDIF to the ticket.  

People can now audit the change in the future.  

They could also, after severe warning prompts, import the original "before" LDIF which would drop the current object and replace it with that one.

^We currently do a similar workflow when working with clients in RHSSO.  It isn't something that is 'needed' in the core sense of the word.  But having it allows the IAM team to let more general and lesser trained support desks do some stuff while both sides feel more at ease about it and learn and recover from mistakes quicker.

A button that shows the raw LDIF in the GUI along with the command and/or API call to get it would be cool as a teaching tool as well.  Something like  https://petstore.swagger.io/#/  but show ipa user-show and the API call, etc.  




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Rob Crittenden 2019-09-13 15:38:11 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8069

Comment 7 Petr Vobornik 2021-01-27 14:50:58 UTC
This BZ has been evaluated multiple times over the last several years and we assessed that it is a valuable request to keep in the backlog and address it at some point in future. Time showed that we did not have such capacity, nor have it now nor will have in the foreseeable future. In such a situation keeping it in the backlog is misleading and setting the wrong expectation that we will be able to address it. Unfortunately we will not. To reflect this we are closing this BZ. If you disagree with the decision please reopen or open a new support case and create a new BZ. However this does not guarantee that the request will not be closed during the triage as we are currently applying much more rigor to what we actually can accomplish in the foreseeable future. Contributions and collaboration in the upstream community and CentOS Stream is always welcome!
Thank you for understanding
Red Hat Enterprise Linux Identity Management Team


Note You need to log in before you can comment on or make changes to this bug.